%define majver %(echo %version | cut -d. -f1-2)

Name:          qt5-qtremoteobjects
Version:       5.15.7
Release:       1mamba
Summary:       Qt5 remote objects component
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.qt.io/
Source:        https://download.qt.io/official_releases/qt/5.15/%{version}/submodules/qtremoteobjects-everywhere-opensource-src-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libstdc++6-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtdeclarative-devel
## AUTOBUILDREQ-END

%description
Qt5 remote objects component.

%package -n libQt5RemoteObjects
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n libQt5RemoteObjects
This package contains shared libraries for %{name}.

%package -n libQt5RemoteObjects-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      libQt5RemoteObjects = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n libQt5RemoteObjects-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n qtremoteobjects-everywhere-src-%{version}

%build
%_qt5_qmake

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall INSTALL_ROOT=%{buildroot} STRIP=/bin/true

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n libQt5RemoteObjects -p /sbin/ldconfig
%postun -n libQt5RemoteObjects -p /sbin/ldconfig

%files -n libQt5RemoteObjects
%defattr(-,root,root)
%{_libdir}/libQt5RemoteObjects.so.*
%dir %{_libdir}/qt5/qml/QtQml/RemoteObjects
%{_libdir}/qt5/qml/QtQml/RemoteObjects/*
%{_libdir}/qt5/qml/QtQml/RemoteObjects/qmldir
%dir %{_libdir}/qt5/qml/QtRemoteObjects
%{_libdir}/qt5/qml/QtRemoteObjects/*
%doc LICENSE.*

%files -n libQt5RemoteObjects-devel
%defattr(-,root,root)
%dir %{_includedir}/qt5/QtRemoteObjects
%{_includedir}/qt5/QtRemoteObjects/*
%dir %{_includedir}/qt5/QtRepParser
%{_includedir}/qt5/QtRepParser/*
%{_libdir}/libQt5RemoteObjects.prl
%{_libdir}/libQt5RemoteObjects.so
%{_libdir}/libQt5RepParser.prl
%{_libdir}/qt5/bin/repc
%{_libdir}/qt5/mkspecs/features/remoteobjects_repc.prf
%{_libdir}/qt5/mkspecs/features/rep*.pri
%{_libdir}/qt5/mkspecs/features/repparser.prf
%{_libdir}/qt5/mkspecs/modules/qt_lib_remoteobjects*.pri
%{_libdir}/qt5/mkspecs/modules/qt_lib_repparser*.pri
%dir %{_libdir}/cmake/Qt5RemoteObjects
%{_libdir}/cmake/Qt5RemoteObjects/Qt5RemoteObjects*.cmake
%dir %{_libdir}/cmake/Qt5RepParser
%{_libdir}/cmake/Qt5RepParser/Qt5RepParserConfig*.cmake
%{_libdir}/pkgconfig/Qt5RemoteObjects.pc
%{_libdir}/pkgconfig/Qt5RepParser.pc

%changelog
* Mon Nov 07 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.7-1mamba
- update to 5.15.7

* Sat Nov 06 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-2mamba
- bump release

* Sat Nov 06 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-1mamba
- package created using the webbuild interface
